﻿@model DisplayCartViewModel

@if (Model.EnableDonation && Model.PreregistrationMode != CartPreregistrationMode.Confirmed)
{

    <div class="panel panel-warning box-panel-donation">
        <div class="panel-heading">
            @if (string.IsNullOrEmpty(Model.DonationMessage))
            {
                <h3 class="panel-title">Add a donation to your order</h3>
            }
            else
            {
                <h3 class="panel-title">@Model.DonationMessage</h3>
            }
        </div>
        <div class="panel-body input-group fluid-content" data-html="true">
            @if (!string.IsNullOrEmpty(Model.DonationDescription))
            {
            <div class="margin-bottom10">
                @Html.Raw(Model.DonationDescription)
            </div>
                  
            }
            <input type="text" id="donationAmount" class="form-control input-group-textbox" placeholder="Enter donation amount">

            <button id="addDonation" data-action="@Url.Action("AddDonationToCart", "Cart")" data-userid="@Model.UserId" class="input-group-btn" type="button">
                <span>Give donation</span>
            </button>

        </div>
    </div>
}